Bug 89579 - Update port mail/ask: spam filter
Summary: Update port mail/ask: spam filter
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-11-26 14:10 UTC by Marcelo Araujo
Modified: 2005-11-27 22:10 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marcelo Araujo 2005-11-26 14:10:04 UTC

Dears People,

Update version ASK (Anti Spam Killer)...

tks,

Regards,
Marcelo Araujo

Fix: 

----- Make File -------
PORTNAME=       ask
PORTVERSION=    2.5.0
CATEGORIES=     mail
MASTER_SITES=   ${MASTER_SITE_SOURCEFORGE}
MASTER_SITE_SUBDIR=     a-s-k

MAINTAINER=     araujobsd@hotmail.com
COMMENT=        Anti Spam Killer content filtering

USE_PYTHON=     yes
NO_BUILD=       yes

do-install:
        ${MKDIR} ${PREFIX}/ask
        ${INSTALL_SCRIPT} ${WRKSRC}/COPYING ${PREFIX}/ask
        ${INSTALL_SCRIPT} ${WRKSRC}/ChangeLog ${PREFIX}/ask
        ${INSTALL_SCRIPT} ${WRKSRC}/TODO ${PREFIX}/ask
        ${INSTALL_SCRIPT} ${WRKSRC}/ask.py ${PREFIX}/ask
        ${INSTALL_SCRIPT} ${WRKSRC}/askconfig.py ${PREFIX}/ask
        ${INSTALL_SCRIPT} ${WRKSRC}/ask-2.5.0-1.spec ${PREFIX}/ask
        ${INSTALL_SCRIPT} ${WRKSRC}/asklock.py ${PREFIX}/ask
        ${INSTALL_SCRIPT} ${WRKSRC}/asklog.py ${PREFIX}/ask
        ${INSTALL_SCRIPT} ${WRKSRC}/askmail.py ${PREFIX}/ask
        ${INSTALL_SCRIPT} ${WRKSRC}/askmain.py ${PREFIX}/ask
        ${INSTALL_SCRIPT} ${WRKSRC}/askmessage.py ${PREFIX}/ask
        ${INSTALL_SCRIPT} ${WRKSRC}/askremote.py ${PREFIX}/ask
        ${INSTALL_SCRIPT} ${WRKSRC}/asksetup.py ${PREFIX}/ask
        ${INSTALL_SCRIPT} ${WRKSRC}/askversion.py ${PREFIX}/ask
        ${INSTALL_SCRIPT} ${WRKSRC}/test.py ${PREFIX}/ask
        ${CP} -R ${WRKSRC}/samples ${PREFIX}/ask
        ${CP} -R ${WRKSRC}/templates ${PREFIX}/ask
.if !defined(NOPORTDOCS)
        ${MKDIR} ${DOCSDIR}
        ${CP} -R ${WRKSRC}/docs ${DOCSDIR}
        ${CP} -R ${WRKSRC}/utils ${DOCSDIR}
        ${CP} -R ${WRKSRC}/debian ${DOCSDIR}
.endif

.include <bsd.port.mk>
----- Make File -------
----- DistInfo -------
MD5 (ask-2.5.0.tar.gz) = 5f5616f3bbdb218768d78598f243921d
SIZE (ask-2.5.0.tar.gz) = 105324
------ DistInfo --------
------ Pkg-Plist ----
ask/COPYING
ask/ChangeLog
ask/TODO
ask/ask.py
ask/askconfig.py
ask/ask-2.5.0-1.spec
ask/asklock.py
ask/asklog.py
ask/askmail.py
ask/askmain.py
ask/askmessage.py
ask/askremote.py
ask/asksetup.py
ask/askversion.py
ask/test.py
ask/templates/blacklist_da.txt
ask/templates/blacklist_de.txt
ask/templates/blacklist_en.txt
ask/templates/blacklist_es.txt
ask/templates/blacklist_fr.txt
ask/templates/blacklist_it.txt
ask/templates/blacklist_nl.txt
ask/templates/blacklist_ptbr.txt
ask/templates/blacklist_fi.txt
ask/templates/confirm_da.txt
ask/templates/confirm_de.txt
ask/templates/confirm_en.txt
ask/templates/confirm_es.txt
ask/templates/confirm_fi.txt
ask/templates/confirm_fr.txt
ask/templates/confirm_it.txt
ask/templates/confirm_nl.txt
ask/templates/confirm_ptbr.txt
%%PORTDOCS%%%%DOCSDIR%%/utils/asksenders.py
%%PORTDOCS%%%%DOCSDIR%%/docs/ask.py.1
%%PORTDOCS%%%%DOCSDIR%%/docs/ask_doc.css
%%PORTDOCS%%%%DOCSDIR%%/docs/ask_doc.html
%%PORTDOCS%%%%DOCSDIR%%/docs/ask_doc.pdf
%%PORTDOCS%%%%DOCSDIR%%/docs/ask_doc.txt
%%PORTDOCS%%%%DOCSDIR%%/docs/asksenders.py.1
%%PORTDOCS%%%%DOCSDIR%%/docs/asksetup.py.1
%%PORTDOCS%%%%DOCSDIR%%/docs/askversion.py.1
%%PORTDOCS%%%%DOCSDIR%%/docs/asksetup.py.1
%%PORTDOCS%%%%DOCSDIR%%/docs/askversion.py.1
%%PORTDOCS%%%%DOCSDIR%%/debian/CVS/Entries
%%PORTDOCS%%%%DOCSDIR%%/debian/CVS/Repository
%%PORTDOCS%%%%DOCSDIR%%/debian/CVS/Root
%%PORTDOCS%%%%DOCSDIR%%/debian/README.Debian
%%PORTDOCS%%%%DOCSDIR%%/debian/changelog
%%PORTDOCS%%%%DOCSDIR%%/debian/control
%%PORTDOCS%%%%DOCSDIR%%/debian/copyright
%%PORTDOCS%%%%DOCSDIR%%/debian/ex.package.doc-base
%%PORTDOCS%%%%DOCSDIR%%/debian/postinst.ex
%%PORTDOCS%%%%DOCSDIR%%/debian/postrm.ex
%%PORTDOCS%%%%DOCSDIR%%/debian/preinst.ex
%%PORTDOCS%%%%DOCSDIR%%/debian/prerm.ex
%%PORTDOCS%%%%DOCSDIR%%/debian/rules
ask/samples/blacklist.txt
ask/samples/ignorelist.txt
ask/samples/sample_askrc
ask/samples/whitelist.txt

@dirrm %%DOCSDIR%%/debian/CVS
@dirrm %%DOCSDIR%%/debian
@dirrm %%DOCSDIR%%/docs
@dirrm %%DOCSDIR%%/utils
@dirrm %%DOCSDIR%%
@dirrm ask/samples
@dirrm ask/templates
@dirrm ask

---
Comment 1 Edwin Groothuis freebsd_committer 2005-11-26 14:13:57 UTC
Class Changed
From-To: update->maintainer-update

Fix category (submitter is maintainer)
Comment 2 Sergey Matveychuk freebsd_committer 2005-11-26 20:52:28 UTC
Provide an unify diff (diff -ruN) for updates please.

-- 
Sem.
Comment 3 Ion-Mihai " IOnut " Tetcu 2005-11-27 12:04:19 UTC
On Sun, 27 Nov 2005 12:01:30 -0200
"Marcelo Araujo" <araujobsd@hotmail.com> wrote:

> 
> >Number:         89579
> >Category:       ports
> >Synopsis:       Update  port mail/ask: spam filter

 [ ... ]

> >Fix:
> 
> 
> ----- Make File -------
> PORTNAME=       ask
> PORTVERSION=    2.5.0

 [ ... ]

Please take a look at
/share/doc/en_US.ISO8859-1/books/porters-handbook/port-upgrading.html
and follow the suggested way to submit PRs (like:
Synopsis: [PATCH] mail/ask: update to 2.5.0
Fix: containing a diff -urN).

While we appreciate your work, a commiter would have redo much of it to
be able to test and commit your update; this mean your PR will sit in
GNATS until someone has time to do it and commiters are very busy
people :)


Thanks,

-- 
IOnut - Unregistered ;) FreeBSD "user"
  "Intellectual Property" is   nowhere near as valuable   as "Intellect"

You speak of courage.  Obviously you do not know the difference between
courage and foolhardiness.  Always it is the brave ones who die, the
		-- Kor, the Klingon Commander, "Errand of Mercy",
		   stardate 3201.7
Comment 4 Marcus Alves Grando freebsd_committer 2005-11-27 22:10:19 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 5 araujobsd 2005-11-28 00:24:54 UTC
Dears Sem,

Sorry, do not send *diff* :_(!!
Update information ....

--- /usr/ports/mail/ask/Makefile    Sun Nov 27 22:17:00 2005
+++ Makefile    Sun Nov 27 22:17:26 2005
@@ -6,12 +6,12 @@
 #
 
 PORTNAME=    ask
-PORTVERSION=    2.4.1
+PORTVERSION=    2.5.0
 CATEGORIES=    mail
 MASTER_SITES=    ${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=    a-s-k
 
-MAINTAINER=    araujobsd@hotmail.com
+MAINTAINER=    araujobsd@gmail.com
 COMMENT=    Anti Spam Killer content filtering
 
 USE_PYTHON=    yes
@@ -24,7 +24,7 @@
     ${INSTALL_SCRIPT} ${WRKSRC}/TODO ${PREFIX}/ask
     ${INSTALL_SCRIPT} ${WRKSRC}/ask.py ${PREFIX}/ask
     ${INSTALL_SCRIPT} ${WRKSRC}/askconfig.py ${PREFIX}/ask
-    ${INSTALL_SCRIPT} ${WRKSRC}/ask-2.4.1-1.spec ${PREFIX}/ask
+    ${INSTALL_SCRIPT} ${WRKSRC}/ask-2.5.0-1.spec ${PREFIX}/ask
     ${INSTALL_SCRIPT} ${WRKSRC}/asklock.py ${PREFIX}/ask
     ${INSTALL_SCRIPT} ${WRKSRC}/asklog.py ${PREFIX}/ask
     ${INSTALL_SCRIPT} ${WRKSRC}/askmail.py ${PREFIX}/ask
@@ -33,12 +33,14 @@
     ${INSTALL_SCRIPT} ${WRKSRC}/askremote.py ${PREFIX}/ask
     ${INSTALL_SCRIPT} ${WRKSRC}/asksetup.py ${PREFIX}/ask
     ${INSTALL_SCRIPT} ${WRKSRC}/askversion.py ${PREFIX}/ask
+    ${INSTALL_SCRIPT} ${WRKSRC}/test.py ${PREFIX}/ask
     ${CP} -R ${WRKSRC}/samples ${PREFIX}/ask
     ${CP} -R ${WRKSRC}/templates ${PREFIX}/ask
 .if !defined(NOPORTDOCS)
     ${MKDIR} ${DOCSDIR}
     ${CP} -R ${WRKSRC}/docs ${DOCSDIR}
     ${CP} -R ${WRKSRC}/utils ${DOCSDIR}
+    ${CP} -R ${WRKSRC}/debian ${DOCSDIR}
 .endif
 
 .include <bsd.port.mk>


--- /usr/ports/mail/ask/distinfo    Fri Nov 11 19:22:57 2005
+++ distinfo    Sun Nov 27 11:37:50 2005
@@ -1,2 +1,2 @@
-MD5 (ask-2.4.1.tar.gz) = 91de4625710755e76d7f44e32d5fd763
-SIZE (ask-2.4.1.tar.gz) = 102631
+MD5 (ask-2.5.0.tar.gz) = 5f5616f3bbdb218768d78598f243921d
+SIZE (ask-2.5.0.tar.gz) = 105324

--- /usr/ports/mail/ask/pkg-descr    Fri Nov 11 19:22:57 2005
+++ pkg-descr    Sun Nov 27 22:17:39 2005
@@ -3,4 +3,4 @@
 WWW: http://experience.bsdnetwork.org/ask/
 
 - Marcelo Araujo
-araujobsd@hotmail.com
+araujobsd@gmail.com

--- /usr/ports/mail/ask/pkg-plist    Fri Nov 11 19:22:57 2005
+++ pkg-plist    Sun Nov 27 11:37:50 2005
@@ -3,7 +3,7 @@
 ask/TODO
 ask/ask.py
 ask/askconfig.py
-ask/ask-2.4.1-1.spec
+ask/ask-2.5.0-1.spec
 ask/asklock.py
 ask/asklog.py
 ask/askmail.py
@@ -12,6 +12,7 @@
 ask/askremote.py
 ask/asksetup.py
 ask/askversion.py
+ask/test.py
 ask/templates/blacklist_da.txt
 ask/templates/blacklist_de.txt
 ask/templates/blacklist_en.txt
@@ -39,11 +40,26 @@
 %%PORTDOCS%%%%DOCSDIR%%/docs/asksenders.py.1
 %%PORTDOCS%%%%DOCSDIR%%/docs/asksetup.py.1
 %%PORTDOCS%%%%DOCSDIR%%/docs/askversion.py.1
+%%PORTDOCS%%%%DOCSDIR%%/debian/CVS/Entries
+%%PORTDOCS%%%%DOCSDIR%%/debian/CVS/Repository
+%%PORTDOCS%%%%DOCSDIR%%/debian/CVS/Root
+%%PORTDOCS%%%%DOCSDIR%%/debian/README.Debian
+%%PORTDOCS%%%%DOCSDIR%%/debian/changelog
+%%PORTDOCS%%%%DOCSDIR%%/debian/control
+%%PORTDOCS%%%%DOCSDIR%%/debian/copyright
+%%PORTDOCS%%%%DOCSDIR%%/debian/ex.package.doc-base
+%%PORTDOCS%%%%DOCSDIR%%/debian/postinst.ex
+%%PORTDOCS%%%%DOCSDIR%%/debian/postrm.ex
+%%PORTDOCS%%%%DOCSDIR%%/debian/preinst.ex
+%%PORTDOCS%%%%DOCSDIR%%/debian/prerm.ex
+%%PORTDOCS%%%%DOCSDIR%%/debian/rules
 ask/samples/blacklist.txt
 ask/samples/ignorelist.txt
 ask/samples/sample_askrc
 ask/samples/whitelist.txt
 
+@dirrm %%DOCSDIR%%/debian/CVS
+@dirrm %%DOCSDIR%%/debian
 @dirrm %%DOCSDIR%%/docs
 @dirrm %%DOCSDIR%%/utils
 @dirrm %%DOCSDIR%%

Regards,
Marcelo Araujo
http://experience.bsdnetwork.org
araujobsd@gmail.com